#ifndef LUA_HPP
#define LUA_HPP LuaTarget

struct LuaTarget: Target {
    void on(const StandardComponents::Define &parseComponent) override {
        if (parseComponent.final) output << "local ";
        output << parseComponent.name;
        if (parseComponent.final) output << " <const>"; // TODO Find an alternative to <const> for lua <5.4
        output << " = ";
    }
    void on(const StandardComponents::types::String &parseComponent) override {
        stringInterpolation(parseComponent.content, "[[", "]]", "..");
    }
    using Target::Target;
};

#endif